// Shaders definition for wtest4
// Last update : 2005-08-11

textures/wdm3/ice_01
{
	qer_editorimage textures/wdm3/ice_01.tga
	surfaceparm nolightmap
	surfaceparm slick
	q3map_surfacelight 800
	{
		map textures/wdm3/ice_02.tga
	}
	{
		map textures/wdm3/ice_01.tga
		blendfunc blend
		rgbGen const ( 0.756863 1 0.756863 )
		tcMod scroll 0.01 0.02
	}
	{
		map textures/wdm3/ice_01_alpha.tga
		blendfunc blend
		alphaFunc GT0
	}
	{
		map $lightmap 
		blendfunc gl_zero gl_one
		tcGen lightmap 
	}
}

// Place a light source under this to get a neat shadow effect :D
// was textures/wdm3/ground/grate_01 for sorting issues
textures/wdm3/grate_01
{
	qer_editorimage textures/wdm3/grate_01.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	{
		map textures/wdm3/grate_01.tga
		blendfunc blend
		rgbGen identity
		depthWrite
		alphaFunc GT0
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/wdm3/trim_01
{
	qer_editorimage textures/wdm3/trim_01.tga
	q3map_surfacelight 300
	{
		map textures/wdm3/trim_01.tga
	}
	{
		map textures/wdm3/trim_01_alpha.tga
		blendfunc add
		rgbGen const ( 0.501961 1 1 )
	}
}

// was textures/wdm3/trim/line_01 for sorting issues
textures/wdm3/line_01
{
	qer_editorimage textures/wdm3/line_01.tga
	surfaceparm nolightmap
	q3map_surfacelight 300
	{
		map textures/wdm3/line_01.tga
	}
}

textures/wdm3/weapon_spot
{
	qer_editorimage textures/wdm3/weapon_spot.tga
	{
		map textures/wdm3/weapon_spot.tga
	}
	{
		clampmap textures/wdm3/weapon_spot_blend.tga
		blendfunc add
		tcMod stretch sin 1.2 -0.5 0 0.75 
	}
	{
		map textures/wdm3/weapon_spot_alpha.tga
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/wdm3/bouncepad
{
	qer_editorimage textures/wdm3/weapon_spot.tga
	surfaceparm nodamage
	{
		map textures/wdm3/weapon_spot.tga
	}
	{
		clampmap textures/wdm3/bouncepad_blend.tga
		blendfunc add
		tcMod stretch inversesawtooth 0 5 1 0.5 
	}
	{
		map textures/wdm3/bouncepad_alpha.tga
		alphaFunc LT128
	}
}

// step with moving up light ray.
textures/wdm3/step_01
{
	qer_editorimage textures/wdm3/step_01.tga
	{
		map textures/wdm3/step_01.tga
	}
	{
		map textures/wdm3/step_01_blend.tga
		blendfunc add
		tcMod scroll 0 0.5
	}
	{
		map textures/wdm3/step_01_alpha.tga
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

//sky shader
textures/wdm3/spacesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/wdm3/spacesky_bk.jpg
	q3map_sun	1 1 1 100 -45 70
	q3map_surfacelight 100
	q3map_lightsubdivide 256

      skyparms env/spacesky_ - -
}